## org.eclipse.jst.ws.jaxws.dom.runtime.api
Interface IWebService

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IJavaWebServiceElement, org.eclipse.emf.common.notify.Notifier

    public interface IWebService

extends IJavaWebServiceElement

Author:
  Hristo Sabev

Method Summary
`java.lang.String` `getPortName()`
`IServiceEndpointInterface` `getServiceEndpoint()`
`java.lang.String` `getTargetNamespace()`
`java.lang.String` `getWsdlLocation()`
`void` `setPortName(java.lang.String value)` Sets the value of the '`Port Name`' attribute.
`void` `setTargetNamespace(java.lang.String value)` Sets the value of the '`Target Namespace`' attribute.
`void` `setWsdlLocation(java.lang.String value)` Sets the value of the '`Wsdl Location`' attribute.

Methods inherited from interface org.eclipse.jst.ws.jaxws.dom.runtime.api.IJavaWebServiceElement
`getImplementation, getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getServiceEndpoint

    IServiceEndpointInterface getServiceEndpoint()

  Returns:

### getTargetNamespace

    java.lang.String getTargetNamespace()

### setTargetNamespace

    void setTargetNamespace(java.lang.String value)

  Sets the value of the '`Target Namespace`' attribute.

  Parameters:
    `value` - the new value of the 'Target Namespace' attribute.
  See Also:
    `getTargetNamespace()`

### getPortName

    java.lang.String getPortName()

### setPortName

    void setPortName(java.lang.String value)

  Sets the value of the '`Port Name`' attribute.

  Parameters:
    `value` - the new value of the 'Port Name' attribute.
  See Also:
    `getPortName()`

### getWsdlLocation

    java.lang.String getWsdlLocation()

### setWsdlLocation

    void setWsdlLocation(java.lang.String value)

  Sets the value of the '`Wsdl Location`' attribute.

  Parameters:
    `value` - the new value of the 'Wsdl Location' attribute.
  See Also:
    `getWsdlLocation()`